/* DEFAULT ==================== */
/* DARA GRID ==================== */
/* CURSOR ==================== */
/* SC-TITLE ==================== */
/* CIRCLE ILLUSTRATION ==================== */
/* VIDEO BANNER ==================== */
/* TEMPLATE BANNER TITLE ==================== */
/* TEMPLATE SINGLE ==================== */
/* PROGRAM ITEM ==================== */
/* CONTENT BLOCK ==================== */

/* DEFAULT ==================== */
.sc {
    width: 100vw;
    --hero-y-padding: var(--spacing-24);
}

.sc.sc-hero {
    padding-top: var(--header-height);
}

.sc-inner {
    width: 100%;
    max-width: var(--container-max-width);
    padding: 0 var(--spacing-container);
    margin-left: auto;
    margin-right: auto;
    position: relative;
}

.sc-container {
    width: 100%;
    padding: 0 var(--spacing-container);
    position: relative;
}

.wrapper {
    position: relative;
    width: 100%;
    height: 100%;
}

.social-menu {
    display: flex;
    align-items: center;
    grid-gap: var(--spacing-16);
}

.social-menu a {
    line-height: 1;
}

/* ------ ANIMATION ------ */
/* Draw Path */
@keyframes drawPath {
    to {
        stroke-dashoffset: 0;
    }
}

@-webkit-keyframes drawPath {
    to {
        stroke-dashoffset: 0;
    }
}

.path.in-view {
    animation: drawPath 2s linear forwards 0.5s;
}

/* Scale Up */
@keyframes scaleUp {
    from {
        opacity: 0;
        scale: 0.9;
    }
    to {
        opacity: 1;
        scale: 1;
    }
}

.scaleUp {
    transform-origin: center center;
    -webkit-animation-name: scaleUp;
    animation-name: scaleUp;
}

/* Text Reveal */

@keyframes textReveal {
    to {
        transform: scaleX(0);
    }
}

.textReveal {
    overflow: hidden;
    position: relative;
}

.textReveal::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: var(--color-white);
    top: 0;
    left: 0;
    z-index: 1;
    transform-origin: right;
    animation: textReveal 0.6s ease-in-out forwards 1s;
}

/* DARA GRID ==================== */
.dara-grid-wrapper {
    --dara-width: min(8.8888888889vw, var(--168px));
    --dara-ratio: 0.9275362319;
    --dara-height: calc(var(--dara-width) / var(--dara-ratio));
    --dara-row-gap: var(--spacing-36);
    display: grid;
    grid-template-columns: auto repeat(6, 1fr) auto auto;
    grid-template-rows: repeat(var(--row-number-pc), auto);
    row-gap: var(--dara-row-gap);
    position: relative;
}

.dara-grid-wrapper .curve-connect {
    grid-row: span 2;
    display: flex;
    align-items: center;
}

.dara-grid-wrapper .curve-connect:nth-child(odd) {
    grid-column: 9;
}

.dara-grid-wrapper .curve-connect:nth-child(even) {
    grid-column: 1;
    -moz-transform: scaleX(-1);
    -webkit-transform: scaleX(-1);
    -o-transform: scaleX(-1);
    transform: scaleX(-1);
    -ms-filter: fliph; /*IE*/
    filter: fliph; /*IE*/
}

.dara-grid-wrapper .curve-connect:before {
    --height: calc((var(--dara-height) + var(--dara-row-gap)));
    content: "";
    height: var(--height);
    aspect-ratio: 0.4438202247;
    border-radius: 0 var(--height) var(--height) 0;
    border: 1px solid var(--color-light-sea-green);
    /* border-left: 1px solid transparent; */
    /* outline: 1px solid var(--color-light-sea-green); */
    margin-left: -2px;
    clip-path: inset(0 0 0 2px);
}

.dara-grid-wrapper .leading-curve {
    position: absolute;
    top: calc((var(--dara-height) + var(--dara-row-gap)) / 2);
    left: 1%;
    transform: translateY(-100%);
}

.dara-grid-wrapper .leading-curve svg {
    width: fit-content;
    object-position: left;
    margin: 0;
    max-height: var(--364px);
    display: block;
}

.dara-grid-wrapper .leading-curve .text {
    display: flex;
    grid-gap: var(--spacing-16);
    align-items: center;
}

.dara-grid-wrapper .leading-curve .text {
    transform: translateY(50%);
}

.dara-grid {
    display: grid;
    grid-template-columns: subgrid;
    grid-column: 2 / 9;
    grid-template-rows: subgrid;
    grid-row: 1 / calc(var(--row-number-pc) + 1);
    grid-auto-flow: dense;
}

.dara {
    position: relative;
    z-index: 1;
}

.dara:not(:last-child)::after,
.dara:is(.even-row-mb, .even-row-pc):last-child::after {
    content: "";
    height: 1px;
    width: 100%;
    background-color: #40a8b2;
    position: absolute;
    top: calc(50% + min(0.3472222222vw, var(--14px)));
    left: 0;
    transform: translateY(-50%);
    z-index: -1;
}

.dara .dara-image {
    width: var(--dara-width);
    aspect-ratio: var(--dara-ratio);
}

.leading-curve .path {
    stroke-dasharray: 426.1134948730469;
    stroke-dashoffset: 426.1134948730469;
}

@media (min-width: 836px) {
    .dara-grid-wrapper .curve-connect:before {
        margin-bottom: -10%;
    }

    .dara-grid-wrapper .leading-curve {
        top: calc((var(--dara-height) + var(--dara-row-gap)) / 2.4);
    }

    .dara.even-row-pc:nth-child(7n + 1) {
        grid-column: 7;
    }

    .dara.even-row-pc:nth-child(7n + 2) {
        grid-column: 6;
    }

    .dara.even-row-pc:nth-child(7n + 3) {
        grid-column: 5;
    }

    .dara.even-row-pc:nth-child(7n + 4) {
        grid-column: 4;
    }

    .dara.even-row-pc:nth-child(7n + 5) {
        grid-column: 3;
    }

    .dara.even-row-pc:nth-child(7n + 6) {
        grid-column: 2;
    }

    .dara.even-row-pc:nth-child(7n + 7) {
        grid-column: 1;
    }

    /* .dara.even-row-mb:last-child::after {
        content: none;
    } */
}

@media (max-width: 835px) {
    .dara-grid-wrapper {
        --dara-width: 26.4102564103vw;
        --dara-ratio: 0.9279279279;
        --dara-height: calc(var(--dara-width) * var(--dara-ratio));
        --dara-row-gap: var(--spacing-16);
        grid-template-columns: auto repeat(2, 1fr) auto auto;
    }

    .dara-grid {
        grid-column: 2 / 5;
        grid-row: 1 / calc(var(--row-number-mb) + 1);
    }

    .dara-grid-wrapper .leading-curve img {
        height: 58.9743589744vw;
        max-height: var(--230px);
    }

    .dara-grid-wrapper .curve-connect:before {
        aspect-ratio: 0.078125;
        margin-bottom: -100%;
    }

    .leading-curve .path {
        stroke-dasharray: 233.99716186523438;
        stroke-dashoffset: 233.99716186523438;
    }

    .dara.even-row-mb:nth-child(3n + 1) {
        grid-column: 3;
    }

    .dara.even-row-mb:nth-child(3n + 2) {
        grid-column: 2;
    }

    .dara.even-row-mb:nth-child(3n + 3) {
        grid-column: 1;
    }

    /* .dara.even-row-pc:last-child::after {
        content: none;
    } */
}

/* CURSOR ==================== */
html.no-cursor * {
    cursor: none !important;
}

.cursor {
    padding: var(--spacing-10);
    background-color: var(--color-light-sea-green);
    position: fixed;
    pointer-events: none;
    background-size: cover;
    transition: scale var(--duration) var(--timing-function),
        opacity var(--duration) var(--timing-function);
    transform: translate(-105%, -105%);
    font-size: var(--font-size-body);
    line-height: normal;
    font-weight: var(--font-weight-semibold);
    color: var(--color-white);
    z-index: 99;
    scale: 0;
    opacity: 0;
    text-wrap: nowrap;
}

.cursor.hover-dara {
    scale: 1;
    opacity: 1;
}

/* SC-TITLE ==================== */
.sc-header {
    display: flex;
    align-items: center;
    padding-bottom: var(--spacing-36);
    position: relative;
}

.sc-header .wrapper {
    width: 0;
}

.sc-title {
    font-size: var(--font-size-h2);
    line-height: var(--line-height-h2);
    font-weight: var(--font-weight-semibold);
    color: var(--color-theme);
    font-family: var(--font-heading);
    width: fit-content;
    padding-left: var(--spacing-20);
    padding-right: var(--spacing-20);
    flex-shrink: 0;
}

.sc-title.offset-3xl {
    margin-left: var(--spacing-100);
}

.sc-title.offset-xl {
    margin-left: var(--spacing-80);
}

.sc-title.offset-md {
    margin-left: var(--spacing-30);
}

@media (max-width: 835px) {
    .sc-title {
        padding-left: var(--spacing-10);
        padding-right: var(--spacing-10);
    }

    .sc-title.offset-xl {
        margin-left: 0;
    }
}

/* CIRCLE ILLUSTRATION ==================== */
.circle-illustration {
    --size: var(--36px);
    --offset-transform: calc((-1 * (var(--size) / 2)) + 1px);
    position: relative;
    width: var(--size);
    height: var(--size);
    border-radius: 50%;
    outline: 1px solid var(--color-light-sea-green);
    flex-shrink: 0;
}

.circle-illustration.offset-l {
    margin-left: var(--offset-transform);
}
.circle-illustration.offset-r {
    margin-right: var(--offset-transform);
}
.circle-illustration.offset-t {
    margin-top: var(--offset-transform);
}
.circle-illustration.offset-b {
    margin-bottom: var(--offset-transform);
}

.circle-illustration::before {
    --inner-size: calc(var(--size) / 4);
    content: "";
    position: absolute;
    width: var(--inner-size);
    height: var(--inner-size);
    border-radius: 50%;
    background-color: var(--color-light-sea-green);
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.line {
    width: 0;
    position: absolute;
    height: 1px;
    background-color: var(--color-light-sea-green);
    top: 50%;
    transform: translateY(-50%);
    transition-duration: 3s;
    transition-delay: 0.5s;
}

.line.to-right {
    left: 0;
}

.line.to-left {
    right: 0;
}

.line.bottom {
    top: unset;
    bottom: 0;
    transform: unset;
    left: 0;
}

.line.in-view {
    width: 100vw;
}

@media (max-width: 835px) {
    .circle-illustration {
        --size: var(--24px);
    }

    .circle-illustration::before {
        --inner-size: calc(var(--size) / 3);
    }
}

/* VIDEO BANNER ==================== */
.video-banner {
    padding: var(--spacing-100) 0;
}

.video-banner .wrapper {
    --absolute-offset-x: var(--spacing-40);
    --absolute-offset-y: var(--spacing-40);
}

.video-banner .video-background {
    border-radius: var(--border-radius);
    overflow: hidden;
    position: relative;
    width: 100%;
    height: var(--518px);
}

.video-banner .video-background::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: linear-gradient(
        0deg,
        rgba(0, 0, 0, 0.4) 0%,
        rgba(0, 0, 0, 0.4) 100%
    );
    z-index: 2;
}

.video-banner .title {
    position: absolute;
    top: var(--absolute-offset-y);
    left: var(--absolute-offset-x);
    z-index: 10;
}

.video-banner .banner-cta {
    width: calc(100% - var(--absolute-offset-x) * 2);
    position: absolute;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    z-index: 10;
    left: var(--absolute-offset-x);
    bottom: var(--absolute-offset-y);
}

.video-banner .banner-cta .member {
    display: flex;
    flex-direction: column;
    grid-gap: var(--spacing-8);
}

.video-banner .banner-cta .member .member-number {
    line-height: 1;
}
.video-banner .banner-cta .button {
    color: var(--color-white) !important;
    border-color: var(--color-white) !important;
    margin-bottom: var(--spacing-10);
}

@media (max-width: 835px) {
    .video-banner {
        padding: var(--spacing-72) 0;
    }

    .video-banner .wrapper {
        --absolute-offset-x: var(--spacing-16);
        --absolute-offset-y: var(--spacing-50);
        margin: 0;
    }

    .video-banner .banner-cta {
        flex-direction: column;
        align-items: flex-start;
        grid-gap: var(--spacing-8);
    }

    .video-banner .banner-cta .button {
        margin-bottom: 0;
    }
}

/* TEMPLATE BANNER TITLE ==================== */
.sc-template-title-banner .content {
    padding-top: var(--spacing-20);
    padding-bottom: var(--spacing-50);
    display: flex;
    justify-content: space-between;
    grid-gap: var(--spacing-30);
}

.sc-template-title-banner .content .entry-content {
    max-width: var(--1061px);
}

.template-title-banner {
    width: 100%;
    aspect-ratio: 6.05405405405;
    border-radius: var(--12px);
    overflow: hidden;
    position: relative;
}

.template-title-banner .background {
    width: 100%;
    height: 100%;
    position: relative;
}

.template-title-banner .background.bg-overlay:before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: linear-gradient(
        0deg,
        rgba(0, 0, 0, 0.4) 0%,
        rgba(0, 0, 0, 0.4) 100%
    );
    z-index: 5;
}

.template-title-banner .banner-title {
    font-size: var(--font-size-h2);
    line-height: var(--line-height-h2);
    font-weight: var(--font-weight-semibold);
    color: var(--color-white);
    position: absolute;
    left: 2.4553571429%;
    bottom: 13.5675675676%;
    z-index: 10;
    font-family: var(--font-heading);
}

@media (max-width: 835px) {
    .sc-template-title-banner .content {
        padding-top: var(--spacing-20);
        padding-bottom: var(--spacing-50);
        display: flex;
        flex-direction: column;
        grid-gap: var(--spacing-16);
    }

    .sc-template-title-banner .entry-content > *:not(:first-child),
    .sc-template-title-banner
        .entry-content
        .wp-block-group
        > *:not(:first-child),
    .sc-template-title-banner
        .entry-content
        .wp-block-column
        > *:not(:first-child),
    .sc-template-title-banner .entry-content li:not(:first-child) {
        margin-top: var(--spacing-16);
    }

    .sc-template-title-banner .content .button {
        width: 100%;
    }

    .template-title-banner {
        aspect-ratio: 1.785;
    }

    .template-title-banner .banner-title {
        left: 4.4817927171%;
        bottom: 2%;
    }
}

/* TEMPLATE SINGLE ==================== */
.sc-template-single {
    position: relative;
}

.sc-template-single .sc-inner {
    margin-bottom: var(--spacing-80);
}

.sc-template-single .back-to-all {
    display: flex;
    align-items: center;
    grid-gap: var(--spacing-8);
    margin-top: var(--spacing-10);
    margin-bottom: var(--spacing-10);
    color: var(--color-theme);
    font-weight: var(--font-weight-semibold);
}

.sc-template-single .back-to-all .ic {
    transition: transform 0.15s var(--timing-function);
}

html.no-touchevents .sc-template-single .back-to-all:hover .ic {
    transform: translateX(-2.5px);
}

.sc-template-single .content {
    display: grid;
    grid-template-columns: calc(59% - var(--spacing-16)) 41%;
    grid-template-rows: repeat(3, auto);
    column-gap: var(--spacing-16);
    row-gap: var(--spacing-40);
}

.sc-template-single .content .sticky {
    grid-column: 1;
    grid-row: 1 / 4;
    position: relative;
}

.sc-template-single .content .sticky .content-wrapper {
    width: 100%;
    position: sticky;
    top: var(--spacing-20);
    transition: var(--duration) var(--timing-function);
}

html.page-scrolling--up .sc-template-single .content .sticky .content-wrapper {
    top: calc(var(--header-height) + var(--spacing-20));
}

.sc-template-single .content .sticky .content-wrapper .button {
    margin-top: var(--spacing-20);
}

.sc-template-single .sticky .media {
    border-radius: var(--spacing-20);
    overflow: hidden;
    width: 100%;
    aspect-ratio: 1.7903225806;
    position: relative;
}

/* .sc-template-single .sticky .media iframe {
    pointer-events: none;
} */

.sc-template-single .sticky .media *:is(img, video, iframe) {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.play-pause-button {
    color: var(--color-white);
    position: absolute;
    bottom: var(--spacing-16);
    left: var(--spacing-16);
    z-index: 10;
    padding: var(--spacing-10);
    background-color: rgba(var(--color-white-rgb), 0.1);
    border-radius: 50%;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}

html.no-touchevents .play-pause-button:hover,
.play-pause-button:active {
    background-color: rgba(var(--color-white-rgb), 0.5);
}

.play-pause-button.playing .ic:before {
    content: "\e936";
}

.play-pause-button .ic:before {
    content: "\e902";
    transform: translateX(0.1em);
}

.sc-template-single .header .wrapper {
    aspect-ratio: 4.963963964;
    width: 100%;
}

.sc-template-single .header .path {
    stroke-dashoffset: 1153.2998046875;
    stroke-dasharray: 1153.2998046875;
}

.sc-template-single .header .path.reverse {
    stroke-dashoffset: 1901.3963623046875;
    stroke-dasharray: 1901.3963623046875;
}

.sc-template-single .header .border-line,
.sc-template-single .footer .border-line {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 5;
}

.sc-template-single .header .border-line svg,
.sc-template-single .footer .border-line svg {
    display: block;
    width: 100%;
    height: 100%;
}

.sc-template-single .header .header-content {
    display: flex;
    grid-gap: var(--spacing-16);
    align-items: center;
    height: 100%;
    padding-left: 1.2704174229%;
    padding-right: var(--spacing-10);
}

.sc-template-single .header .header-image {
    height: 100%;
    width: auto;
    flex-shrink: 0;
    position: relative;
    z-index: 10;
    bottom: 6.3063063063%;
}

.sc-template-single .header .header-image img {
    height: 100%;
    width: auto;
    object-fit: contain;
    object-position: center;
}

.sc-template-single .header .text .title {
    font-size: var(--font-size-h4);
    line-height: var(--line-height-h4);
    font-weight: var(--font-weight-semibold);
    color: var(--color-theme);
}

.sc-template-single .header .text .subtitle {
    color: var(--color-light-sea-green);
}

.sc-template-single .footer {
    width: 100%;
}

.sc-template-single .footer .path {
    stroke-dashoffset: 1901.3179931640625;
    stroke-dasharray: 1901.3179931640625;
}

.sc-template-single .footer .sc-header {
    position: absolute;
    transform: translateY(-50%);
    left: var(--spacing-40);
    padding: 0;
    z-index: 20;
}

.sc-template-single .footer .footer-content {
    display: flex;
    flex-direction: column;
    padding: var(--inner-padding);
    position: relative;
    z-index: 10;
    border-radius: var(--spacing-24);
    border: 1px solid var(--color-light-sea-green);
    padding-top: var(--spacing-30);
}

.sc-template-single .sc-title {
    background-color: var(--color-white);
}

.sc-template-single .programs-content .sc-header .circle-illustration {
    background-color: var(--color-white);
}

.sc-template-single .programs-content.tiktok {
    grid-column: 2;
    margin-top: var(--spacing-20);
}

.sc-template-single .programs-content.tiktok .footer-content {
    padding: var(--spacing-30);
    overflow: hidden;
}

.sc-template-single .programs-content.tiktok .swiper-container {
    --gap: var(--spacing-16);
    margin-left: calc(var(--gap) / -2);
    margin-right: calc(var(--gap) / -2);
}

.sc-template-single .programs-content.tiktok .swiper {
    overflow: visible;
}

.sc-template-single .programs-content.tiktok .swiper .swiper-button-prev {
    left: calc(-1 / 2 * var(--spacing-8));
}

.sc-template-single .programs-content.tiktok .swiper .swiper-button-next {
    right: calc(-1 / 2 * var(--spacing-8));
}

.sc-template-single
    .programs-content.tiktok
    .swiper
    [class*="swiper-button-"]::after {
    border: 1px solid var(--color-light-sea-green);
    color: var(--color-light-sea-green);
}

html.no-touchevents
    .sc-template-single
    .programs-content.tiktok
    .swiper
    [class*="swiper-button-"]:hover::after {
    border-color: var(--color-deep-blue);
    color: var(--color-white);
}

.sc-template-single .programs-content.tiktok .swiper-slide {
    width: calc(100% / 2) !important;
    padding-left: calc(var(--gap) / 2);
    padding-right: calc(var(--gap) / 2);
}

.sc-template-single .programs-content.tiktok .tiktok-vdo-wrapper {
    aspect-ratio: 0.5622009569;
    border-radius: var(--inner-radius);
    overflow: hidden;
}

.sc-template-single
    .programs-content.tiktok
    .tiktok-vdo-wrapper
    *:is(img, video, iframe) {
    width: 100% !important;
    min-width: unset !important;
    height: 100% !important;
    object-fit: cover;
    object-position: center;
}

.sc-template-single .slide-nav {
    position: absolute;
    display: flex;
    grid-gap: var(--spacing-10);
    right: var(--spacing-16);
    bottom: var(--spacing-16);
    z-index: 10;
}

.sc-template-single .slide-nav [class*="swiper-button-"] {
    position: static;
    transform: unset;
}

.sc-template-single .slide-nav [class*="swiper-button-"]:after {
    border-color: var(--color-white);
    background-color: transparent;
    color: var(--color-white);
}

@media (max-width: 1100px) {
    .sc-template-single .content {
        grid-template-columns: 100%;
        grid-template-rows: unset;
        grid-auto-rows: min-content;
        row-gap: var(--spacing-20);
    }
}

@media (max-width: 835px) {
    .sc-template-single .back-to-all {
        margin-top: var(--spacing-10);
        margin-bottom: var(--spacing-24);
    }

    .sc-template-single .sc-inner {
        margin-bottom: var(--spacing-50);
    }

    .sc-template-single .content .sticky {
        grid-row: 1;
    }

    .sc-template-single .content .sticky .content-wrapper {
        position: static;
    }

    .sc-template-single .content .sticky .content-wrapper .button {
        width: 100%;
    }

    .sc-template-single .sticky .media .play-pause-button {
        bottom: var(--spacing-10);
        left: var(--spacing-10);
    }

    .sc-template-single .header .path {
        stroke-dashoffset: 772.1104736328125;
        stroke-dasharray: 772.1104736328125;
    }

    .sc-template-single .header .wrapper {
        aspect-ratio: 3.2072072072;
    }

    .sc-template-single .header .header-content {
        padding-left: 2%;
    }

    .sc-template-single .header .header-image {
        bottom: 5.306306%;
    }

    .sc-template-single .body {
        padding: 0 var(--4px);
    }

    .sc-template-single .footer {
        aspect-ratio: unset;
    }

    .sc-template-single .footer .sc-header {
        position: static;
        transform: unset;
    }

    .sc-template-single .footer .border-line {
        display: none;
    }

    .sc-template-single .footer .footer-content {
        width: 100%;
        padding-top: var(--spacing-40);
        padding-bottom: var(--spacing-40);
        grid-gap: var(--spacing-12);
        height: auto;
        border: none;
    }

    .sc-template-single .footer .sc-header {
        padding-left: var(--inner-padding);
    }

    .sc-template-single .programs-content.tiktok {
        grid-column: unset;
    }

    .sc-template-single .programs-content.tiktok .footer-content {
        padding-left: 0;
        padding-right: 0;
        overflow: visible;
    }
}
/* PROGRAM ITEM ==================== */
.programs-content {
    --inner-radius: var(--spacing-20);
    --inner-padding: var(--spacing-16);
}
.program-item {
    padding: var(--spacing-10);
    border-radius: var(--inner-radius);
    overflow: hidden;
    transition: var(--duration) var(--timing-function);
    width: 100%;
    height: 152px;
}

.program-item .wrapper {
    display: flex;
    grid-gap: var(--spacing-12);
}

.program-item .wrapper .video-thumbnail {
    border-radius: var(--inner-radius);
    overflow: hidden;
    height: 100%;
    aspect-ratio: 1.7916666667;
    flex-shrink: 0;
    position: relative;
}

.program-item .wrapper .video-thumbnail .thumbnail {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 1;
    object-fit: cover;
    object-position: center;
    transition: var(--duration) var(--timing-function);
}

.program-item:hover .video-thumbnail .thumbnail {
    opacity: 0;
}

.program-item .wrapper .video-thumbnail *:is(iframe, video, img) {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.program-item .wrapper .text-content {
    flex-grow: 1;
}

html.no-touchevents .program-item:hover {
    background-color: var(--color-light-gray);
}

html.no-touchevents .program-item a:hover {
    color: inherit;
}

/* Vertical */
.program-item.vertical {
    height: auto;
    padding-bottom: var(--spacing-30);
}

.program-item.vertical .wrapper {
    flex-direction: column;
}

.program-item.vertical .wrapper .video-thumbnail {
    aspect-ratio: 1.7692307692;
    width: 100%;
    height: auto;
}

@media (max-width: 835px) {
    .program-item {
        border-radius: 0;
        padding: 0;
        overflow: hidden;
        transition: var(--duration) var(--timing-function);
        width: 100%;
        height: auto;
    }

    .program-item .wrapper {
        flex-direction: column;
        grid-gap: var(--spacing-12);
    }

    .program-item .wrapper .video-thumbnail {
        width: 100%;
        height: auto;
        aspect-ratio: 1.7802197802;
    }
}

@media (max-width: 715px) {
    /* Vertical */
    .program-item.vertical {
        padding-left: var(--spacing-16);
        padding-right: var(--spacing-16);
    }
}

/* CONTENT BLOCK ==================== */
.content-block {
    display: flex;
    align-items: center;
    grid-gap: var(--spacing-16);
    margin-bottom: var(--spacing-50);
}

.content-block .media {
    width: 53.9583333333%;
    aspect-ratio: 16 / 9;
    flex-shrink: 0;
    border-radius: var(--12px);
    overflow: hidden;
}

.content-block .media *:is(img, video) {
    width: 100%;
    height: auto;
    object-fit: cover;
    object-position: center;
}

.content-block .text-content {
    flex-grow: 1;
    display: flex;
    padding-left: var(--spacing-48);
    align-items: center;
}

.content-block .text-content .content-wrapper {
    max-width: min(31.5972222222vw, var(--637px));
}

.content-block .text-content .block-title {
    font-size: var(--font-size-h4);
    line-height: var(--line-height-h4);
    font-weight: var(--font-weight-semibold);
    margin-bottom: var(--spacing-8);
}

@media (min-width: 1101px) {
    .content-block:nth-child(even) {
        flex-direction: row-reverse;
    }

    .content-block:nth-child(even) .text-content {
        padding-left: 0;
        padding-right: var(--spacing-48);
        justify-content: flex-end;
    }
}

@media (max-width: 1100px) {
    .content-block {
        flex-direction: column;
        grid-gap: var(--spacing-16);
        margin-bottom: var(--spacing-40);
    }

    .content-block .media {
        width: 100%;
    }

    .content-block .text-content {
        flex-grow: unset;
        padding: 0;
    }

    .content-block .text-content .content-wrapper {
        max-width: unset;
        width: 100%;
    }
}
